libglyr1-1.0.10-lp150.44.8.x86_64.rpm


Advertisement

Description

libglyr1 - Search engine for music related metadata

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name libglyr1
Package version 1.0.10
Package release lp150.44.8
Package architecture x86_64
Package type rpm
Installed size 167.70 KB
Download size 68.06 KB
Official Mirror ftp.gwdg.de
The Glyr shared library.

Alternatives

Package Version Architecture Repository
libglyr1-1.0.10-lp150.1.7.x86_64.rpm 1.0.10 x86_64 openSUSE Oss
libglyr1 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
libcurl.so.4()(64bit) -
libglib-2.0.so.0()(64bit) -
libsqlite3.so.0()(64bit) -

Provides

Name Value
libglyr.so.1()(64bit) -
libglyr1 = 1.0.10-lp150.44.8
libglyr1(x86-64) = 1.0.10-lp150.44.8

Download

Type URL
Binary Package libglyr1-1.0.10-lp150.44.8.x86_64.rpm
Source Package glyr-1.0.10-lp150.44.8.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install libglyr1 rpm package:
    # zypper install libglyr1

Files

Path
/usr/lib64/libglyr.so.1
/usr/lib64/libglyr.so.1.1.0
/usr/share/doc/packages/libglyr1/COPYING

Changelog

2017-01-26 - jengelh@inai.de
- Trim descriptions and fix spelling errors.
2016-11-22 - lazy.kent@opensuse.org
- Update to 1.0.10.
* Changed License to LGPLv3 (from GPLv3).
* Fix lyricswiki provider.
* Fix typos.
2016-05-20 - lazy.kent@opensuse.org
- Update to 1.0.9.
* Bugfixes:
+ Support reproducible builds.
+ Build problems.
+ Spelling errors.
* Fixed providers:
+ lyrics/lyricswikia.
+ cover/slothradio.
+ cover/discogs.
- Drop glyr-version.patch: fixed upstream.
- Don't package CHANGELOG. It is obsolete and discontinued.
2015-02-14 - lazy.kent@opensuse.org
- Update to 1.0.8.
* Fix of lyrix.at.
- Update glyr-version.patch.
- Use %cmake and %cmake_install macros.
2015-01-08 - lazy.kent@opensuse.org
- Update to 1.0.7.
* lyricswiki fixed.
- Changes in 1.0.6.
* Fixed faulty sha-1 versioning in cmakelists.
* Make glyrc return EXIT_SUCESS on success or EXIT_FAILURE in
case of any failure.
* Made the -c (--cache) option have an optional argument. Without
argument the path is ~/.cache/glyrc (will be created if
necessary).
* Clamp the timeout of select to the user-set timeout.
* Fix for cache getter: Print like normal getters and also call
appropiate programs.
- Refresh glyr-date-n-time.patch.
- Update glyr-version.patch.
2014-02-13 - lazy.kent@opensuse.org
- Update to 1.0.5.
* Quickfix: lyricswiki broken once more; fixed again.
* Bugfix: cover|photo:discogs: fix crash when transformed url has
only one dash.
* Fix for instrumental songs on lyricswiki.
* Fixed typos (searchenigne -> search engine, musicrelated ->
music related).
* lyrix_at: fix end of lyric.
- Rename libglyr-devel to glyr-devel.
- Drop glyr-image_discogs.patch (fixed upstream).
- Add glyr-version.patch: pushed version to 1.0.5 in CMakeLists.txt
(fixed in git).
2013-12-29 - lazy.kent@opensuse.org
- Add glyr-image_discogs.patch: cover|photo:discogs: fix crash when
transformed url has only one dash (gh#sahib/glyr#41) (fixed in
git).
2013-12-26 - crrodriguez@opensuse.org
- CmakeLists.txt, -std=gnu99 is meant instead of -std=c99
(extends  glyr-optflags.patch)
2013-12-07 - lazy.kent@opensuse.org
- Drop glyr-fix_lyricswiki.patch (fixed upstream -- very quickly;
no version change).
2013-12-07 - lazy.kent@opensuse.org
- Add glyr-fix_lyricswiki.patch: fix lyrics parsing
(gh#sahib/glyr#40).

See Also

Package Description
libgme-devel-0.6.2-lp150.28.4.x86_64.rpm Development libraries and headers for libgme
libgme0-0.6.2-lp150.28.4.x86_64.rpm Collection of video game music file emulators
libgmyth-devel-0.7.1-lp150.8.7.x86_64.rpm GMyth Frontend Library - Development files
libgmyth0-0.7.1-lp150.8.7.x86_64.rpm GMyth Frontend Library
libgpod-devel-0.8.3-lp150.70.1.x86_64.rpm Development files for libgpod
libgpod-doc-0.8.3-lp150.70.1.noarch.rpm Documentation for libgpod
libgpod-lang-0.8.3-lp150.70.1.noarch.rpm Translations for package libgpod
libgpod-tools-0.8.3-lp150.70.1.x86_64.rpm Tools for libgpod
libgpod4-0.8.3-lp150.70.1.x86_64.rpm Library to Manipulate Songs and Playlists Stored on an iPod
libgroove-devel-4.3.0-lp150.6.2.x86_64.rpm Development files for libgroove
libgroove4-4.3.0-lp150.6.2.x86_64.rpm A library to streaming audio processing
libgroovefingerprinter-devel-4.3.0-lp150.6.2.x86_64.rpm Development files for groovefingerprinter
libgroovefingerprinter4-4.3.0-lp150.6.2.x86_64.rpm A library to acoustid fingerprinter for libgroove
libgrooveloudness-devel-4.3.0-lp150.6.2.x86_64.rpm Development files for libgrooveloudness
libgrooveloudness4-4.3.0-lp150.6.2.x86_64.rpm A library to loudness scanner for libgroove
Advertisement
Advertisement